Subject: CVS commit: pkgsrc/multimedia/adobe-flash-player
From: Izumi Tsutsui
Date: 2017-03-17 22:56:29
Message id: 20170317215629.D1684FBE4@cvs.NetBSD.org

Log Message:
Re-import multimedia/adobe-flash-player24 as multimedia/adobe-flash-player
for future major version bump with compatibility.

We had multiple adobe-flash-plugin versions in the past because
newer 11.x versions didn't work on older (4.x) NetBSD systems.
However I guess Adobe will not put aggressive changes that require
newer Linux kernel version (i.e. emul.linux.kern.osrelease on NetBSD)
in future periodical major updates, as per their announcements:
 https://blogs.adobe.com/flashplayer/201 … linux.html
> Because this change is primarily a security initiative, some features
> (like GPU 3D acceleration and premium video DRM) will not be fully
> implemented.

No objection on pkgsrc-users@:
 http://mail-index.netbsd.org/pkgsrc-use … 24523.html
Also ok'ed by gdt@ in private mail.

---

NPAPI Adobe Flash player plugin for the Firefox browser.
This package contains a plugin that enables web browsers to render
the Flash format.

The nspluginwrapper option (enabled by default on non Linux platforms)
permits the use of the the Linux x86 and x86_64 flash player in Firefox
browsers on other x86 systems and x86_64 systems.

For NetBSD this package requires NetBSD 6.2 or 7.1 (and later versions)
which include procfs fixes for Linux binaries.

Files:
RevisionActionfile
1.1addpkgsrc/multimedia/adobe-flash-player/DESCR
1.1addpkgsrc/multimedia/adobe-flash-player/INSTALL.nspluginwrapper
1.1addpkgsrc/multimedia/adobe-flash-player/MESSAGE.pulseaudio
1.1addpkgsrc/multimedia/adobe-flash-player/Makefile
1.1addpkgsrc/multimedia/adobe-flash-player/PLIST
1.1addpkgsrc/multimedia/adobe-flash-player/distinfo
1.1addpkgsrc/multimedia/adobe-flash-player/options.mk